<template>
  <div>
    <div>

<div class="container-scroller">
    <app-header></app-header>
    <div class="container-fluid page-body-wrapper">
        <app-sidebar></app-sidebar>
        <div class="main-panel">
            <div class="content-wrapper">
                 <div class="card-body">
        <h4 class="card-title">Edit User</h4>
        <div class="card-center-block">
          <hr>
          <form class="form-sample">
            <div class="form-group row">
              <label class="col-sm-5 col-form-label">Profile Picture</label>
              <div class="col-sm-7">
                <div>
                  <div class="inner-image"></div>
                  <div class="upload-file">
                    <label>
                      <input type="text">
                    </label>
                    <a>
                      <i class="fa fa-camera" aria-hidden="true"/>
                    </a>
                  </div>
                </div>
              </div>
            </div>

            <!-- <div class="form-group row">
              <label class="col-sm-5 col-form-label">User Name</label>
              <div class="col-sm-7">
                <input type="text" name="username" v-model="username">
              </div>
            </div> -->

            <div class="form-group row">
              <label class="col-sm-5 col-form-label">First Name</label>
              <div class="col-sm-7">
                <input type="text" name="firstname" v-model="firstname">
              </div>
            </div>
            <div class="form-group row">
              <label class="col-sm-5 col-form-label">Last Name</label>
              <div class="col-sm-7">
                <input type="text" name="lastname" v-model="lastname">
              </div>
            </div>
            <!-- <div class="form-group row">
              <label class="col-sm-5 col-form-label">photo</label>
              <div class="col-sm-7">
                <input type="text" name="photo" v-model="photo">
              </div>
            </div> -->

            <div class="form-group row">
              <label class="col-sm-5 col-form-label">Mobile No.</label>
              <div class="col-sm-7">
                <input type="text" name="mobile" v-model="mobile">
                <div class="error-block"></div>
              </div>
            </div>
            <hr>
            <div class="form-group row">
              <div class="button-group-container">
                <button type="submit" class="btn btn-primary" @click.prevent="edituser" >
                  <span>Submit</span>
                </button>
                <button type="button" class="btn btn-warning">Cancel</button>
              </div>
            </div>
          </form>
        </div>
      </div>
            </div>
            <footer class="footer">
                <div class="container-fluid clearfix">
                    <span class="text-muted d-block text-center text-sm-left d-sm-inline-block">Copyright © 2018 <a href="http://www.bootstrapdash.com/" target="_blank">IndiaNIC</a>. All rights reserved.</span>
                </div>
            </footer>
        </div>
    </div>
</div>
    </div>
  </div>
</template>

<script>
import {mapActions} from 'vuex'
import {mapGetters} from 'vuex'
import Sidebar from '../../sidebar'
import Navbar from '../../navbar'
import axios from 'axios'

const API_URL = 'https://node.indianic.com:4069/api';

      console.log("dispalt",this.mapGetters)

    export default {
        // props:['editcms'],
               components:{
    'app-header':Navbar,
    'app-sidebar':Sidebar,
  },
        data(){
            return{
                 _id:"",
                  photo:'', 
                  firstname:"",
                   lastname:"", 
                   mobile:"", 
                   username: ""
            }
        },
          computed: {
    ...mapGetters([
      'displayNames',
    ]),
  },
  created(){
        let { _id, photo, firstname, lastname, mobile, username } = this.displayNames;
        console.log('didmount--', this.displayNames);
        this._id = _id;
         this.photo = photo;
          this.firstname = firstname;
           this.lastname = lastname;
           this.mobile = mobile;
             this.username = username;
  },
  methods:{
edituser:function(){
        let {_id,photo,firstname,lastname,mobile,username}=this
        console.log("this...",_id,photo,firstname,lastname,mobile,username)
        var token = localStorage.getItem('token')
        // var self=this;
        var userdata = {uid:_id,username:username,firstname:firstname,lastname:lastname,mobile:mobile,photo:photo }
        console.log('userdatauserdata is ', userdata)
        axios({
            method: 'post',
            url: API_URL+'/editUserListing',
            headers: {
                "Content-Type": "application/json",
                Authorization: token
            },
            data: JSON.stringify(userdata),
        })
            .then(response => {
                console.log("response", response)
            })
        this.$router.push('/userlist')
}
  },
    }

</script>

<style scoped>

</style>